#!/bin/bash
# {{ ansible_managed }}

# this script only makes sense if the application runs in a docker container.
# and then only conditionally.

if [ -f /.dockerenv ]
then
  # echo "I'm inside matrix ;(";

  until [ $(curl \
    --user-agent "Web Check {{ role_name }}" \
    --silent \
    --location \
    --connect-timeout 3 \
    --write-out "%{http_code}\n" \
    --output /dev/null \
    http://localhost:{{ content_server_port_prefix }}80/ior) == "200" ]
  do
    i=$(expr $i + 1)
    if [ $i -ge 60 ]; then
      echo "{{ role_name }} not ready, giving up"
      exit 1
    fi
    echo "Waiting for "{{ role_name }}" to be ready"
    sleep 10s
  done

  echo "{{ role_name }} - OK"

else
  :
  # echo "I'm living in real world!";
fi
